Name:		yubico-piv-tool
Version:	1.0.1
Release:	1%{?dist}
Summary:	Tool for interacting with the PIV applet on a YubiKey NEO

License:	GPLv3+
URL:		https://developers.yubico.com/yubico-piv-tool/
Source0:	https://developers.yubico.com/yubico-piv-tool/Releases/yubico-piv-tool-%{version}.tar.gz

BuildRequires:	pcsc-lite-devel openssl-devel chrpath
Requires:		pcsc-lite-ccid

%description
The Yubico PIV tool is used for interacting with the
Privilege and Identification Card (PIV) applet on a YubiKey NEO.

With it you may generate keys on the device, importing keys and certificates,
and create certificate requests, and other operations. A shared library and
a command-line tool is included.

%package devel
Summary: Tool for interacting with the PIV applet on a YubiKey NEO
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The Yubico PIV tool is used for interacting with the
Privilege and Identification Card (PIV) applet on a YubiKey NEO.
This package includes development files.


%prep
%setup -q

%build
%configure --with-backend="pcsc"
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/yubico-piv-tool
rm $RPM_BUILD_ROOT%{_libdir}/libykpiv.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/yubico-piv-tool
%{_libdir}/libykpiv.so.1.0.6
%{_libdir}/libykpiv.so.1

%doc
%{_mandir}/man1/yubico-piv-tool.1.gz

%files devel
%defattr(-,root,root)
%{_libdir}/libykpiv.so
%attr(0644,root,root) %{_libdir}/pkgconfig/ykpiv.pc
%dir %{_includedir}/ykpiv
%attr(0644,root,root) %{_includedir}/ykpiv/ykpiv.h
%attr(0644,root,root) %{_includedir}/ykpiv/ykpiv-version.h


%changelog
* Thu Jul 16 2015 Jakub Jelen <jjelen@redhat.com> 1.0.1-1
- Rebase to 1.0.1

* Mon Jul 13 2015 Jakub Jelen <jjelen@redhat.com> 1.0.0-3
- License is GPLv3+
- owner for %{_includedir}/ykpiv
- remove hard-coded paths from ./configure
- make check is run unconditionally
- change RPATH handling to make check pass

* Thu Jul 09 2015 Jakub Jelen <jjelen@redhat.com> 1.0.0-2
- Fixed problems for Fedora Review

* Thu Jul 09 2015 Jakub Jelen <jjelen@redhat.com> 1.0.0-1
- Initial release

